WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WooCommerce German (de_DE)

This plugin extends the WooCommerce shop plugin with complete German language packs - formal and informal. - WooCommerce endlich komplett auf deutsch!

Kompatibel mit WooCommerce 2.1 und 2.0 --- Works great with WooCommerce 2.1+ and former 2.0.x branch!

(English description below German version!)

DE:

Dieses Sprach-Plugin erweitert das WooCommerce Shop-Basisplugin mit komplett übersetzten deutschen Sprachdateien - in SIE- und DU-Version (formell/ informell).

Motto: Schlüssige, sachgemäßge und geschäftstaugliche Übersetzungen.

Konsistente Sprachdateien und alles aus einer Hand: Sie- und Du-Version.

Langjährige Erfahrung: Kompetente Übersetzungspflege für WooCommerce seit 2011.

Hinweis: Als Basis-Plugin ist natürlich WooCommerce erforderlich! "WooCommerce Deutsch (de_DE)" ist ein Sprach-Plugin -- dabei ist es eine gute Alternative (unter vielen), um WooCommerce gutes Deutsch beizubringen ;-).

Nutzen durch dieses Sprach-Plugin:

  • WooCommerce in ordentlichem Deutsch: klare Übersetzungsprinzipien - geschäftstauglich, verständlich, schlüssig!
  • Von den WooCommerce-Aktualisierungszyklen unabhängige Sprachdateien
  • Update-sicher: Kein Verlust eigener/ angepasster Sprachdateien bei Aktualisierungen des WooCommerce Basisplugins!
  • Komplett übersetzt - das, was technisch geht, wird immer zu 100% übersetzt!
  • Sprachdateien aus einer Hand für Sie- und Du-Version - seit 2011! :)
  • Funktioniert mit verschiedenen WooCommerce-Versionen, ab WooCommerce 2.0.20 oder höher - Version 2.1.0 wird jedoch empfohlen!
  • Immer aktuell - bei neuen WooCommerce-Versionen ziehen wir nach :-) - dieses Plugin ist über das Plugin-Repositorium hier aktualisierbar und somit können wir "im laufenden Betrieb" aktualisieren und sind nicht mehr auf das Hinzufügen durch die WooCommerce-Entwickler angewiesen
  • Standardmäßig Unterstützung der sogen. "Button-Lösung" (Gesetz gültig ab 01.08.2012 in Deutschland) -- zudem Helfer-Funktionen verfügbar, siehe Häufige Fragen (FAQ) hier, Nr. 8!
  • Eigene Plugin-Einstellungsseite, um SIE/ DU auszuwählen, sowie weitere Ladeeinstellungen
  • Feedback von Shopbetreibern/ Benutzern fliesst in Sprachdateipflege regelmässig mit ein
  • Plugin bietet eine zusätzliche Möglichkeit via WordPress Sprachdateien-Ordner eine Update-sichere, eigene Sprachdatei zu verwenden! (Hinweise dazu: siehe unter "Installation")
  • Hilfe-Tab bei "WooCommerce Einstellungen" mit wichtigen Infos.

Kleine Video-Einführung

mit Plugin-Entwickler & Übersetzer David Decker Original Video-Link

Funktionsweise:

  • Dieses Plugin überscheibt lediglich den Ladeprozess der Sprachdateien
  • Modifikationen am eigentlichen WooCommerce Basisplugin bzw. den dort beigepackten Sprachdateien finden IN KEINSTER WEISE statt!
  • Einfach dieses Übersetzungs-Plugin aktivieren, bis zu 5 Einstellungen tätigen, fertig.
  • Plugin-eigene Einstellungen-Seite, um SIE/ DU auszuwählen, sowie weitere Ladeeinstellungen
  • Bis WooCommerce 2.0.x: Die Auswahl-Option für Sie-/ Du-Anrede in den alten WooCommerce-Einstellungen selbst (), wird natürlich unterstützt!

Voraussetzungen:

  • WooCommerce ab Version 2.1.0+ (v2.0.x nur noch für Übergangszeit unterstützt!)
  • Damit verbunden WordPress ab Version 3.8+ (Die 3.6 nur noch für den 2.0.x Zweig...)

Extensions (Erweiterungen)

Unterstützung für ausgewählte Extensions ab Plugin-Version 3.0.4, derzeit 35 Plugins. Unter Umständen könnten weitere im Laufe der Zeit folgen. --- Gegen Bezahlung ist auf Wunsch die Übersetzung gewünschter Extensions möglich. Weitere Informationen dazu hier unter "Other Notes".

Performance-Hinweise: Extension-Support wird pro Erweiterung nur geladen, falls diese auch aktiv ist! Außerdem wird, sofern irgend möglich, eine Unterscheidung Frontend/ Backend unterstützt. Ist keine der Erweiterungen aktiv, bitte das Laden in den Plugin-Einstellungen abschalten :).

Bitte beachten:

Dieses Plugin ist ein reines Sprach-/ Übersetzungs-Plugin, es hat nichts mit "Rechtssicherheit" zu tun. Bitte die wichtigen Hinweise hier beachten, sowie ebenso im Bereich der Häufigen Fragen (FAQ) plus Installation!

Haftungsausschluss:

Durch den Einsatz dieses Plugins und der damit angebotenen Sprachdateien entstehen KEINE Garantien für eine korrekte Funktionsweise oder etwaige Verpflichtungen durch den Übersetzer! — Alle Angaben ohne Gewähr. Änderungen und Irrtümer ausdrücklich vorbehalten. Verwendung des Plugins inkl. Sprachdateien geschieht ausschliesslich auf eigene Verantwortung!

Dieses Plugin ist völlig optional - es ist eine von mehreren möglichen Alternativen, um WooCommerce einzudeutschen.

Empfohlen:

Ein Plugin von DECKERWEB.de und WPDeutsch.info

Feedback

  • Ich bin offen für Vorschläge und Korrekturen! - Danke fürs Einsetzen bzw. Ausprobieren einer meiner Plugins!
  • Kontakt via Twitter @deckerweb
  • Folge mir +David Decker bei Google Plus ;-)

Tipps & Mehr

Dieses Plugin...

  • ...ist Qualität Made in Germany
  • ...wurde mit viel Liebe (und einigen Tassen Kaffee) unter Ubuntu Linux erstellt :)

EN:

Note: WooCommerce as base plugin is required! "WooCommerce German (de_DE)" is a special language pack plugin for German-based locales. It is one alternative (amongst others) to let WooCommerce speak some proper German, hehe! :)

This plugin just works - it fully ignores the original packaged languages files of the German locale and so gives shop admins another alternative if they want their shop backend/frontend to appear in a more polished/streamlined language.

All translations are maintained from one source and so the user has way better experience no matter if informal or formal versions are needed. User feedback from shop admins goes in every translation improving the translations more and more for real-life usage.

Extensions:

Support for a hand-picked list for usefull extensions is added/ supported since plugin version 3.0.4. More extensions are rarely to follow here. --- I could also translate your wanted extension if you contact me. This then will handled via a fee for the translation work. My contact is: deckerweb.de/kontakt.

Performance notes: Extension support is loaded on a per extension basis if the extension is active! Also, if at all possible different loading for frontend/ backend is supported as well.

Translations: Internationalization (i18n) / Localization (L10n)

  • English (default) - always included
  • German (de_DE) - always included
  • .pot file (woocommerce-german.pot) for translators is also always included :)
  • Your translation? - Just send it in

A plugin from deckerweb.de and GenesisThemes

Feedback

  • I am open for your suggestions and feedback - Thank you for using or trying out one of my plugins!
  • Drop me a line @deckerweb on Twitter
  • Follow me on my Facebook page
  • Or follow me on +David Decker on Google Plus ;-)

This Plugin...

  • ...is Quality Made in Germany
  • ...was created with love (plus some coffee) on an Ubuntu Linux powered machine :)

Tips & More

Requires: 3.6 and WooCommerce 2.0.20 or higher
Compatible up to: 3.9.1
Last Updated: 2014-3-27
Downloads: 69,074

Ratings

5 stars
5 out of 5 stars

Support

0 of 5 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,2,2 100,1,1 100,1,1 100,2,2 100,2,2 100,2,2 100,1,1 100,1,1 100,2,2 100,2,2 100,3,3 100,3,3 100,2,2 100,5,5 100,4,4 100,5,5 100,1,1 100,2,2 100,4,4 100,1,1 100,1,1 100,2,2 100,2,2 100,2,2
100,4,4 100,1,1 100,1,1 100,2,2 100,2,2 100,2,2 100,1,1 100,1,1 100,2,2 100,2,2 100,4,4 100,4,4 100,2,2 100,5,5 100,4,4 100,5,5 100,1,1 100,2,2 100,4,4 100,1,1 100,1,1 100,2,2 100,2,2 100,2,2
100,2,2 100,2,2 100,5,5 100,4,4 100,5,5 100,1,1 100,2,2 100,4,4 100,1,1 100,1,1 100,2,2 100,2,2 100,2,2
100,4,4 100,4,4 100,5,5 100,1,1 100,2,2 100,4,4 100,4,4 100,4,4 100,1,1 100,1,1 100,2,2 100,5,5 100,1,1 100,2,2 100,2,2 100,1,1 100,1,1
100,4,4 100,6,6 100,2,2 100,2,2 100,4,4 100,4,4 100,4,4 100,1,1 100,1,1 100,2,2 100,5,5 100,1,1 100,2,2 100,2,2 100,1,1 100,1,1
100,1,1 100,5,5 100,1,1 100,1,1 100,2,2 100,5,5 100,2,2 100,2,2 100,2,2 100,1,1 100,1,1
100,4,4 100,1,1 100,1,1 100,2,2 100,5,5 100,3,3 100,2,2 100,2,2 100,2,2 100,2,2 100,1,1 100,1,1
100,2,2 100,1,1 100,2,2 100,5,5 100,3,3 100,2,2 100,2,2 100,2,2 100,2,2 100,1,1 100,1,1
100,5,5 100,3,3
100,4,4 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,2,2 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
80,5,4 100,4,4 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,3,3 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
80,5,4 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,1,1
100,1,1
100,1,1
100,1,1
100,1,1